Migrating from 4.1 to 5.x

The 5.0 patch 005 release included a long-awaited feature for xMatters customers: the ability to migrate their 4.1 systems to use the latest and greatest features available in xMatters. You can even use this feature to upgrade straight from version 4.1 to version 5.1!

To help administrators and users migrate their systems, this article is a repository of links to all the information and content they will need to make the switch.

  • The entire process is documented and explained in the "Installation" chapter of the xMatters installation and administration guide for version 5.1. You can download the guide, and all the other 5.0 documentation, at this page: xMatters 5.0 Documentation
  • The data migration tool - an integral and essential part of the process - is available from the xMatters 5.0 page in the Product Downloads section: xMatters 5.0 Product Suite
  • Before you can upgrade your 4.1 system, you will need to update it to the latest 4.1 patch. You can download the patch here: Product Patches. You can also review the release notes for the patch here:xMatters 4.1 patch 023 Release Notes
  • To help you estimate the amount of time it will take to migrate the data in your system, the Engineering department has helpfully provided some SQL queries that identify the number of rows in your database that will need to be transfered. Check them out here: Migrating from 4.1 to 5.0: estimating data migration time.

Guidelines and general recommendations

The following are some guidelines and recommendations based on the input and experience of our support staff and customers who have already performed the migration.

Preparation

The migration project can be time consuming, complex, and extensive. It is highly recommended that you review the "Upgrading" section in the Installation chapter of the xMatters installation and administration guide thoroughly, BEFORE starting any migration.

Migrating your own instance

Please be aware that migrations are usually handled by the xMatters Client Success or Consulting teams. Moving from an older version to 5.1 is a multiple-step process that requires several installs and configurations. It is highly recommended that you contact your xMatters Client Success Manager BEFORE you start or attempt to perform a migration.

Upgrading from or to specific versions

There are no "general" upgrades from 4.x to 5.x. By this, we mean that each specific 4.1 patch level must upgrade to an associated specific 5.1 patch level. 

For example, if your current deployment is at 4.1 patch 023, you can upgrade to 5.1 patch 002, 003, or 004. If your 4.1 deployment is at 4.1 patch 022, you MUST upgrade to 5.1 patch 001. Or upgrade your 4.1 deployment to the latest patch first (this is recommended). 

Also note: you CANNOT upgrade from a 4.0 deployment to a 5.0 or 5.1 deployment. You MUST upgrade to 4.1 first (minimum patch 023). For more information about upgrading to 4.1, see this knowledge base article.

Integrations

When moving from an older version of xMatters, consider any integrations you have already installed and configured. If, for example, your integration is based on the Java Client, you will need to update it for the integration agent. For some (if not most) integrations, it may be easiest to see if there is an updated version of your integration designed to work with the integration agent and xMatters 5.1. See the integrations page for more information, or contact xMatters Support.

Other considerations

If you are migrating a Windows deployment with voice devices enabled, ensure that you check the following:

  • Verify that your Dialogic card is suported with xMatters 5.1 and Windows 2008.
  • Verify that you have a new dongle, and that it is supported on Windows 2008.

For more information, see this article.

Further information

The following articles and links may also be helpful when upgrading your deployment.

xMatters Reference

XFO-3292, JDN-3336, DTN-4178. Originally created by Don Clark

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk